org.modeshape.jcr.query.lucene

## Interface LuceneSchema

- All Superinterfaces:
    QueryIndexing
  All Known Implementing Classes:
    BasicLuceneSchema

      public interface LuceneSchema
      extends QueryIndexing

  A component that is aware of the particular structure and layout of an index design.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LuceneQueryFactory` | `createLuceneQueryFactory(QueryContext context, org.hibernate.search.SearchFactory searchFactory)`
    `LuceneQuery` | `createQuery(SelectorName selectorName, List<Constraint> andedConstraints, LuceneProcessingContext context)` Create a `LuceneQuery` for the supplied ANDed constraints of the ModeShape access query, which comes from the leaves of a query plan.
    `LuceneQueryEngine.TupleCollector` | `createTupleCollector(QueryContext queryContext, QueryResults.Columns columns)`

    - ### Methods inherited from interface org.modeshape.jcr.query.QueryIndexing

      `addBinaryToIndex, addToIndex, initializedIndexes, removeAllFromIndex, removeBinariesFromIndex, removeFromIndex, updateIndex`

- - ### Method Detail

    - #### createQuery

          LuceneQuery createQuery(SelectorName selectorName,
                                List<Constraint> andedConstraints,
                                LuceneProcessingContext context)
                                  throws LuceneException

      Create a `LuceneQuery` for the supplied ANDed constraints of the ModeShape access query, which comes from the leaves of a query plan.
      Parameters:
        `selectorName` - the name of the selector (or node type); never null
        `andedConstraints` - the constraints of the access query that are all ANDed together; never null
        `context` - the processing context; never null
      Returns:
        the query that represents the Lucene Query object(s) to be executed; never null
      Throws:
        `LuceneException`

    - #### createTupleCollector

          LuceneQueryEngine.TupleCollector createTupleCollector(QueryContext queryContext,
                                                              QueryResults.Columns columns)

    - #### createLuceneQueryFactory

          LuceneQueryFactory createLuceneQueryFactory(QueryContext context,
                                                    org.hibernate.search.SearchFactory searchFactory)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.